--- title: "REST API call to get ItemIds (Trellix DLP Discover)" slug: "rest-api-call-to-get-itemids-trellix-dlp-discover-2" tags: ["Product Usage", "DLP 11.13.x"] updated: 2026-09-01T07:31:12Z published: 2026-09-01T07:31:12Z canonical: "docs.trellix.com/rest-api-call-to-get-itemids-trellix-dlp-discover-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # REST API call to get ItemIds (Trellix DLP Discover) Use this REST API call to get Item Ids that returns the universally unique identifier (UUID) of a Discover definition item. Using this universally unique identifier (UUID) you can get the details of the item. ### GET request URL `https://<epo_server_name:port>/rest/dlp/discover/getItemIds` Where, `epo_server_name:port` is the server IP address and port number. ### Request Parameters | Parameter name | Description | Required | Values | | --- | --- | --- | --- | | **Authorization** | User credentials for ePO - On-prem. | Required | | | **catalogType** | catalogType returns ItemId and name. Valid catalogType elements are: - "Box" - "Credentials" - "Database" - "File Extension" - "File Information" - "File Server" - "Scheduler" - "SharePoint" - "SSL Certificate" | Required | String, string | **Sample GET request URL** `https://172.27.108.53:8443/rest/dlp/discover/getItemIds` `{` `"catalogType":"Credentials"` `}` **Sample cURL command** `curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/discover/getItemIds' -u '<user>:<password>'` `--data-raw ' {` `"catalogType":"Credentials"` `} '` ### Response parameters These parameters are returned for the API request. The response to this API call returns a itemId and name. | Element | Description | Data type | | --- | --- | --- | | **itemIds** | In case of valid catalogType it returns the list of ItemIds with their name. | String | ### Sample request ``` {    "catalogType" : "Credentials" } ``` ### Sample response ``` {    "F88A720E-C65C-4B40-BED0-0998EEC750A6": "Credentials-All" } ``` ### Status and error codes List of HTTP status codes returned for the query. | Code | Description | | --- | --- | | **200 OK** | Successfully received Item Ids and name satisfying conditions in request. | | **400 Bad Request** | Returns a bad request if the value of catalogType is invalid. | | **404 Not Found** | Incorrect ePO - On-prem URL. |